> For the complete documentation index, see [llms.txt](https://docs.earthscale.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.earthscale.ai/earthscale-documentation/access-your-own-data/google-cloud-gcp.md).

# Google Cloud (GCP)

### Supported URL formats

Earthscale supports GCP URLs formatted like:

```
gs://{bucket_name}/{path_to_files_can_contain_glob_patterns}
```

Values in curly brackets are placeholders.

### Security

Earthscale uses OpenID Connect (OIDC) to securely access your cloud data using dedicated per-customer service accounts. This eliminates the need to share credentials while providing fine-grained access control over your cloud resources. It also lets you revoke access at any time if necessary.

### Granting Access

\
To grant Earthscale access to a GCP bucket:

* Open [Earthscale](https://app.earthscale.ai/)
* Click on the user icon in the top-right corner of the left sidebar
* Click **"Cloud Access"**

Here you can see the GCP service account used to access your data, and copy a command to grant access to a bucket:

![](https://cdn.earthscale.ai/docs/assets/gcp_access.webp)

Just enter your bucket name in the input box and click the **"Copy"** ![](/files/3YrumH4Vs2InkWd5O4l1) button at the top-right corner.

### Use the Google Cloud Console

If you do not have access to the CLI, you can also grant access in the [Google Cloud Console](https://console.cloud.google.com/storage/browser/).

* Copy your Earthscale GCP service account email from the cloud access dialog (see above). It should look like:

`earthscale-data-25adc84a@earthscale.iam.gserviceaccount.com`

![](https://cdn.earthscale.ai/docs/assets/gcp_access.webp)

* Navigate to the bucket you want to share in the Google Cloud Console
* Tab **"Permissions"**
* Tab **"View by principals"**
* Click **"Grant access"**

![](/files/LtpUha5AK4Fd7FmaVXbP)

* Enter the storage account email you copied before into the **"Principals"** field
* Add the **"Storage Object Viewer"** role

![](/files/aMJo6V1EP0RXiyklDuel)

## Creating a new bucket

If you'd prefer to grant Earthscale access to a brand new bucket, you can follow the [GCP guide](https://cloud.google.com/storage/docs/creating-buckets) to create one. Then, follow the instructions above to grant Earthscale access to that bucket.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.earthscale.ai/earthscale-documentation/access-your-own-data/google-cloud-gcp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
